#### Previous topic

scipy.special.roots_chebyt

#### Next topic

scipy.special.roots_chebyc

# scipy.special.roots_chebyu

`scipy.special.``roots_chebyu`(n, mu=False)

  Gauss-Chebyshev (second kind) quadrature.

  Computes the sample points and weights for Gauss-Chebyshev quadrature. The sample points are the roots of the n-th degree Chebyshev polynomial of the second kind, \(U_n(x)\). These sample points and weights correctly integrate polynomials of degree \(2n - 1\) or less over the interval \([-1, 1]\) with weight function \(f(x) = \sqrt{1 - x^2}\).

  Parameters:

  n : int

  > quadrature order

  mu : bool, optional

  > If True, return the sum of the weights, optional.

  Returns:

  x : ndarray

  > Sample points

  w : ndarray

  > Weights

  mu : float

  > Sum of the weights

  See also

  `scipy.integrate.quadrature`, `scipy.integrate.fixed_quad`